/*  ====================================================  *\
 *  $ VARIABLES
\*  ====================================================  */

:root {
    /*  PALETA DE COLORES  */
        /*----------------------------------------*/
        --color-negro                   : 17,18,20;           /* #1B1B1B */
        --color-turquesa                : 108,255,210;        /* #96FF00 */
        --color-blanco                  : 255,255,255;        /* #96FF00 */
        --color-scroll                  : 193,193,193;        /* c1c1c1 */
        /*----------------------------------------*/

    /*  FUENTE FAMILIA  */
        /*----------------------------------------*/
        --texto-familia                 : 'Mulish',Helvetica,Arial,Lucida,sans-serif;;
        /*----------------------------------------*/

    /*  FUENTE TAMAÑO  */
        /*----------------------------------------*/
        --texto-tamano                  : clamp(18px, 1.15vw, 20px);    /* NO UTILIZADO */                 
        /*----------------------------------------*/

    /*  FUENTE GROSOR  */
        /*----------------------------------------*/
        --texto-grosorExtraLigero       : 200;                  /* EXTRALIGHT */
        --texto-grosorLigero            : 300;                  /* LIGHT */
        --texto-grosorRegular           : 400;                  /* REGULAR */
        --texto-grosorMediano           : 500;                  /* MEDIUM */
        --texto-grosorSemiNegrita       : 600;                  /* SEMIBOLD */
        --texto-grosorNegrita           : 700;                  /* BOLD */
        --texto-grosorExtraNegrita      : 800;                  /* EXTRABOLD */
        --texto-grosorNegro             : 900;                  /* BLACK */
        --texto-grosorPesado            : 1000;                 /* WEIGHT */
        /*----------------------------------------*/

    /*  PRECARGA  */
        /*----------------------------------------*/
        --precarga-tamanoBase           : 200px;
        /*----------------------------------------*/
	
	 	color-scheme: light;
    }

@media ( max-width: 767px ) {
:root {
    /*  NAVEGACION  */
        /*----------------------------------------*/
        --navMobile-alto                : 70px;
        --navMobile-alto-reducido       : 70px;
        /*----------------------------------------*/
    /*  PRECARGA  */
        /*----------------------------------------*/
        --precarga-tamanoBase           : 150px;
    }
}



/*  ====================================================  *\
 *  $ PREDETERMINADO
\*  ====================================================  */

    body {
        overflow-x: hidden;
        background-color: rgba(var(--color-fondo),1);
        line-height: 1.6em;
    }

    li {
        line-height: 1.7em;
    }

    @media ( max-width: 767px ) {
        body {
            line-height: 1.4em !important;
        }
    }

/*  ====================================================  *\
 *  $ UTILIDADES
\*  ====================================================  */

    .no-selectable {
        -webkit-user-select: none;
           -moz-user-select: none; 
            -ms-user-select: none;
                user-select: none; 
    }

    .no-scroll {
        overflow: hidden;
    }

	.no-romper {
		white-space: nowrap;
	}

    .no-lista {
        list-style-type: none;
        padding-left: 0;
    }

    .no-mostrar {
        display: none;
    }

    .no-eventos {
        pointer-events: none; 
    }


    /*  ------------------------------------------------  *\
     *  $ SCROLLBARRA PERSONALIZADO ( experimental ) 
    \*  ------------------------------------------------  */
        .scrollbar-personalizado {
            /* Estilos estÃ¡ndar experimentales (Principalmente Firefox) */
            scrollbar-color: white rgba(var(--color-verde),.0);
            scrollbar-width: thin;
        }

        .scrollbar-personalizado::-webkit-scrollbar {
            -webkit-appearance: none;
        }
        
        .scrollbar-personalizado::-webkit-scrollbar:vertical {
            width:12px;
            background-color: rgba(var(--color-verde),.0);
        }

            @media (max-width: 991px) {
                .scrollbar-personalizado::-webkit-scrollbar:vertical {
                    width:5px;
                    margin-right: 10px;
                }
            }

        .scrollbar-personalizado::-webkit-scrollbar:horizontal {
            height: 10px;
        }
        
        .scrollbar-personalizado::-webkit-scrollbar-button:increment,
        .scrollbar-personalizado::-webkit-scrollbar-button {
            display: none;
        }       
        
        .scrollbar-personalizado::-webkit-scrollbar-thumb {
            height:30%;
            background-color: rgba(var(--color-scroll),.75);
            border-radius: 20px;
            border-width: 0px;
            border-style: solid;
            border-color: rgba(var(--color-verde),1);
            transition: all .3s ease-in-out;
        }

        .scrollbar-personalizado::-webkit-scrollbar-thumb:hover {
            background-color: rgba(var(--color-scroll),1);
            border-width: 0px;
        }
        
        .scrollbar-personalizado::-webkit-scrollbar-track {
            border-radius: 100px;  
        }

    /*  ------------------------------------------------  *\
     *  $ PRECARGA
    \*  ------------------------------------------------  */
        .precarga {
            position: fixed; z-index: 999999;
            left: 0; right: 0;
            top: 0; bottom: 0;
            background-color: rgba(255,255,255,1);

            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            
        }

            .precarga__base {
                position: relative; z-index: 1;
                display: block;
                width: 100%; 
                height: 100%;
                max-width: var(--precarga-tamanoBase);
                max-height: var(--precarga-tamanoBase);
                background-image: url(../media/precarga.svg);
                background-repeat: no-repeat;
                background-position: center;
                background-color: transparent;
                background-size: contain;                           
            }

        @media (max-width: 991px) {
            .precarga {
                background-color: rgba(255,255,255,1);
            }

            .precarga__base {
                background-image: url(../media/precarga.svg);               
            }
        }

    /*  ------------------------------------------------  *\
     *  $ CURSOR
    \*  ------------------------------------------------  */
        .cursor {
            /*opacity: 0;*/
            position: fixed;
            z-index: 1000000;
            left: 0;
            top: 0;
            pointer-events: none;
            will-change: transform;
            mix-blend-mode: overlay;
            transition: opacity .3s ease;
        }

        .cursor.esta-visible {
            opacity: 1;
        }

        @media (hover: hover) and (pointer: fine) {
            .cursor__circle {
                width: 1em;
                height: 1em;
                font-size: 80px;
                margin-top: -50%;
                margin-left: -50%;
                border-radius: 50%;
                border: solid 0px transparent;
                background-color: rgba(var(--color-blanco),1);
                transition: opacity 0.3s cubic-bezier(0.25, 1, 0.5, 1),
                            background-color 0.3s cubic-bezier(0.25, 1, 0.5, 1),
                            border-color 0.3s cubic-bezier(0.25, 1, 0.5, 1),
                            width 0.5s cubic-bezier(0.25, 1, 0.5, 1),
                            height 0.5s cubic-bezier(0.25, 1, 0.5, 1);
            }

            .cursor.esta-ampliado .cursor__circle {
                font-size: 16px;
            }
			
			.cursor.esta-ampliado.con-img {
				 mix-blend-mode: overlay;
			}
			
            .cursor.esta-oculto .cursor__circle {
                opacity:0;
            }
        }

/*  ====================================================  *\
 *  $ CLASES DIVI
\*  ====================================================  */

    /*  ------------------------------------------------  *\
     *  HABILITAR INPUT EN CONSTRUCTOR FRONTAL
    \*  ------------------------------------------------  */
		.et-db #et-boc .et-l .et-fb-settings-option-inner-upload--previewable .et-fb-settings-option-input.et-fb-settings-option-upload {
			display: block !important;
			width: 100%;
			margin-top: 10px;
		}

    /*  ------------------------------------------------  *\
     *  FILA MOBILE
    \*  ------------------------------------------------  */
         @media ( max-width: 980px ) {
            .et_pb_row {
                width: calc( 100% - 6% * 2 );
            }
        }

/*  ====================================================  *\
 *  $ DIVI -> CORRECCIONES MODULOS ( plugins )
\*  ====================================================  */

    /*  ------------------------------------------------  *\
     *  DIVI CONTACT FORM 7 STYLER
    \*  ------------------------------------------------  */

        #page-container .dipe-cf7 {
            --cf7-valid-tip: 12px;
        }

        #page-container .dipe-cf7 .wpcf7-form .envoltura {
            display: block;
			line-height: 1em;
        }

        #page-container .dipe-cf7 .wpcf7-form-control-wrap {
            position: static;
        }

        #page-container .dipe-cf7 .wpcf7-form-control:not(.wpcf7-submit) {
            margin-top: 0 !important;
        }

        #page-container .dipe-cf7 .wpcf7-list-item {
            margin-left: 0;
        }

        #page-container .dipe-cf7 .wpcf7-list-item input {
            margin: 0;
        }

		/*	checking  */
			#page-container .dipe-cf7 .wpcf7-acceptance input[type=checkbox]+span:before, 
			#page-container .dipe-cf7 .wpcf7-checkbox input[type=checkbox]+span:before, 
			#page-container .dipe-cf7 .wpcf7-radio input[type=radio]+span:before {
				top: -0.1em;
				position: relative;
				margin-right: 5px;
			}

			#page-container .dipe-cf7 .wpcf7-acceptance .wpcf7-list-item-label {
				position: relative;
				padding-left: calc(1em + 10px);
				display: block;
                line-height: 1.4em;
			}

			#page-container .dipe-cf7 .wpcf7-acceptance input[type=checkbox]+span:before {
				position:absolute;
				left:0;
			}

        /*  simple captcha */
			#page-container .dipe-cf7 .wpcf7-form .wpcf7-quiz.simple-captcha {
				display: inline-block;
				max-width: 80px;
				font-size: 1em !important;
				font-weight: bold;
				text-align: center;
			}

        /*  mensaje de validacion */

            #page-container .dipe-cf7 .wpcf7-form.invalid .envoltura {
                /*padding-bottom: calc(var(--cf7-valid-tip) * 2 );*/
            }

            #page-container .dipe-cf7 .wpcf7-not-valid-tip {
                /*
                position: absolute;
                left: 0;
                */
                width: 100%;
                padding-left: 0 !important; 
                padding-right: 0 !important;
                font-size: var(--cf7-valid-tip);
                line-height: calc(var(--cf7-valid-tip) * 2 );
                /*height: calc(var(--cf7-valid-tip) * 2 );*/
                font-style: italic;
				padding: 10px 2em !important;
				line-height: 1.2em;
            }

            #page-container .dipe-cf7 .wpcf7-not-valid-tip::before {
                content: "!";
                display: inline-block;
                font-size: var(--cf7-valid-tip);
                font-weight: 700;
                background-color: #ffb900;
                color: white;
                padding: 0px 5px;
                margin-right: 5px;
				position: absolute;
				left: 0;
            }

        /*  boton */
            #page-container .dipe-cf7 .wpcf7-submit {
                transition: all 300ms ease 0ms;
				white-space: normal;
                filter: grayscale(0%);
            }

            #page-container .dipe-cf7 .wpcf7-submit[disabled] {
                filter: grayscale(100%);
            }
            
            #page-container .dipe-cf7 .wpcf7-submit:hover {
                /*transform: scaleX(1.1) scaleY(1.1)!important;*/
            }

			#page-container .dipe-cf7 .wpcf7-submit.no-mostrar {
				display:none !important
			}

        /*  icono procesando  */
            #page-container .dipe-cf7 .wpcf7-spinner {
                position: absolute;
                margin: 20px auto 0;
                display: block;
            }

            #page-container .dipe-cf7 .wpcf7-form.submitting .wpcf7-spinner {
                position: relative !important;
            }

            #page-container .dipe-cf7 .wpcf7-spinner::before {
                animation-name: spin;
            }


        /*  mensaje respuesta  */
            #page-container .dipe-cf7 .wpcf7-response-output {
                line-height: 1.2em;
                padding: 1em;
                margin-bottom: 0 !important;
            }
